/*
  RFXtrxUSB - Transparent UART

  Copyright (c) 2022 RFXCOM. All rights reserved.

  Version 0.0 12 Dec 2022
    Initial version
*/

void setup() {
  Serial.begin(38400);
 
  //start UART 
  Serial2.begin(38400);

  pinMode(19, OUTPUT);
  digitalWrite(19, LOW);  //reset microcontroller
  delay(100);             //delay 0.1sec
  pinMode(19, INPUT);     //high impedance
 
}

//****************************************************************
void loop() {

    //check UART for data
    if (Serial.available()) {
      size_t len = Serial.available();
      uint8_t sbuf[len];
      Serial.readBytes(sbuf, len);
      //push UART data
      Serial2.write(sbuf, len);
    }

    //check UART2 for data
    if (Serial2.available()) {
      size_t len = Serial2.available();
      uint8_t sbuf[len];
      Serial2.readBytes(sbuf, len);
      //push UART data
      Serial.write(sbuf, len);
    }

}
